Skip to main content
DELETE
/
barbers
/
{barberId}
/
recurringAppointments
/
{recurringAppointmentId}
Delete a recurring appointment
curl --request DELETE \
  --url https://api.guile.app/barbers/{barberId}/recurringAppointments/{recurringAppointmentId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "earliestDeletionDate": "2023-12-25"
}
'
{
  "type": "<string>",
  "title": "<string>",
  "occurredAt": "2023-11-07T05:31:56Z",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": 349,
  "detail": "<string>",
  "instance": "<string>",
  "attributes": {},
  "problems": [
    {
      "type": "<string>",
      "title": "<string>",
      "occurredAt": "2023-11-07T05:31:56Z",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "status": 349,
      "detail": "<string>",
      "instance": "<string>",
      "attributes": {}
    }
  ]
}

Path Parameters

barberId
string<uuid>
required

The unique, opaque system identifier for a resource. This case-sensitive ID is also used as path parameters in URLs or in other properties or parameters that reference a resource by ID rather than URL.

recurringAppointmentId
string<uuid>
required

The unique, opaque system identifier for a resource. This case-sensitive ID is also used as path parameters in URLs or in other properties or parameters that reference a resource by ID rather than URL.

Body

application/json

Request body for deleting a recurring appointment with date filtering.

earliestDeletionDate
string<date>
required

The earliest date to start deletions for appointments in this recurring series. This date must be in the future. Appointments scheduled before this date will not be deleted.

Pattern: ^\d{4}-\d{2}-\d{2}$

Response

No Content. The operation succeeded but returned no response body.